Loading...
Searching...
No Matches
Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection Struct Reference

`#include <dune/grid-glue/merging/intersectionlist.hh>`

## Public Types

template<int I>
using | Corners = std::array<Local<I>, nVertices>

## Public Member Functions

| SimplicialIntersection ()=default
| SimplicialIntersection (Index parent0, Index parent1)

## Public Attributes

std::vector< Corners< 0 > > | corners0 = std::vector< Corners<0> >(1)
std::vector< Index > | parents0 = std::vector< Index >(1)
std::vector< Corners< 1 > > | corners1 = std::vector< Corners<1> >(1)
std::vector< Index > | parents1 = std::vector< Index >(1)

## Detailed Description

template<int dim0, int dim1>
struct Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection

simplical intersection

## Member Typedef Documentation

## Corners

template<int dim0, int dim1>
template<int I>

using Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::Corners = std::array<Local<I>, nVertices>

type of a set of corner local coordinates for an embedding

## Constructor & Destructor Documentation

## SimplicialIntersection() [1/2]

template<int dim0, int dim1>

Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::SimplicialIntersection | ( |  | ) |

default

## SimplicialIntersection() [2/2]

template<int dim0, int dim1>

Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::SimplicialIntersection | ( | Index | parent0,
|  | Index | parent1 )

inline

## Member Data Documentation

## corners0

template<int dim0, int dim1>

std::vector< Corners<0> > Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::corners0 = std::vector< Corners<0> >(1)

list of sets of corner local coordinates for embeddings into the first grid

## corners1

template<int dim0, int dim1>

std::vector< Corners<1> > Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::corners1 = std::vector< Corners<1> >(1)

list of sets of corner local coordinates for embeddings into the second grid

## parents0

template<int dim0, int dim1>

std::vector< Index > Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::parents0 = std::vector< Index >(1)

list of parent entities for embeddings into the first grid

## parents1

template<int dim0, int dim1>

std::vector< Index > Dune::GridGlue::SimplicialIntersectionListProvider< dim0, dim1 >::SimplicialIntersection::parents1 = std::vector< Index >(1)

list of parent entities for embeddings into the second grid

The documentation for this struct was generated from the following file:

- intersectionlist.hh